'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _etc = require('./etc');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var configFile = process.cwd() + '/config.json';
var options = (0, _etc.exists)(configFile) ? require(configFile) : false;

var config = {
  port: 4000,
  outputDir: process.cwd() + '/dist',
  sourceMaps: true,
  defaultLayout: 'main',
  assetDir: process.cwd() + '/assets'
};

var toResolve = ['outputDir', 'assetDir'];

if (options) {
  var _iteratorNormalCompletion = true;
  var _didIteratorError = false;
  var _iteratorError = undefined;

  try {
    for (var _iterator = toResolve[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
      var property = _step.value;

      if (options[property]) {
        options[property] = _path2.default.resolve(options[property]);
      }
    }
  } catch (err) {
    _didIteratorError = true;
    _iteratorError = err;
  } finally {
    try {
      if (!_iteratorNormalCompletion && _iterator.return) {
        _iterator.return();
      }
    } finally {
      if (_didIteratorError) {
        throw _iteratorError;
      }
    }
  }

  Object.assign(config, options);
}

exports.default = config;